Deployments.ai Docs
Managed Skills

Create a managed skill source

POST /v1/managed-skill-sources · SDK createManagedSkillSource · CLI deployments managed-skill-source create

POST
/v1/managed-skill-sources

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
key*string
Match^\S[\s\S]*\S$|^\S$|^$
Lengthlength <= 128
licenseHash?string
Match^sha256:[a-f0-9]{64}$
metadata?
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
pinnedCommit?string
Match^[a-f0-9]{40,64}$
repositoryUrl?string
Lengthlength <= 2048

Response Body

ManagedSkillSourceResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
key*string
Match^\S[\s\S]*\S$|^\S$|^$
Lengthlength <= 128
licenseHash?string
Match^sha256:[a-f0-9]{64}$
metadata?
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
pinnedCommit?string
repositoryUrl?string
Lengthlength <= 2048
status*string
Value in"active""archived"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X POST "https://example.com/v1/managed-skill-sources" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "name": "string"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "id": "string",  "key": "string",  "licenseHash": "string",  "metadata": {    "property1": null,    "property2": null  },  "name": "string",  "pinnedCommit": "string",  "repositoryUrl": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}